Re: [OMPI users] Basic build trouble on RHEL7

2017-04-27 Thread Ray Sheppard
The -dev packages were missing. It works now. Thanks again. Ray On 4/27/2017 5:05 PM, Ray Sheppard wrote: Ha ha, Most likely not. Theses racks have only been out of single user mode about 24 hours. I thought something simple might be missing. Thanks. Ray On 4/27/2017 5:02 PM, John

Re: [OMPI users] Received eager message(s) from an unknown process error on KNL

2017-04-27 Thread George Bosilca
Esthela, This error message is generated internally by the PSM2 library, so you will not be able to get rid of it simply by recompiling Open MPI. George. On Thu, Apr 27, 2017 at 8:21 PM, Gallardo, Esthela < egallar...@miners.utep.edu> wrote: > Hello, > > > > I am currently running a couple

[OMPI users] Received eager message(s) from an unknown process error on KNL

2017-04-27 Thread Gallardo, Esthela
Hello, I am currently running a couple of benchmarks on two Intel Xeon Phi 7250 second-generation KNL MIC compute nodes using Open MPI 2.1.0. While trying to run the osu_bcast benchmark with 8 MPI tasks (4 on each node), I noticed the following error in my output: Received eager message(s)

[OMPI users] OpenMPI 2.1.0 + PGI 17.3 = asm test failures

2017-04-27 Thread Prentice Bisbal
I'm building Open MPI 2.1.0 with PGI 17.3, and now I'm getting 'illegal instruction' errors during 'make check': ../../config/test-driver: line 107: 65169 Illegal instruction "$@" > $log_file 2>&1 FAIL: atomic_math - 1 threads: Passed That's just one example of the error output. See all

Re: [OMPI users] Basic build trouble on RHEL7

2017-04-27 Thread Ray Sheppard
Ha ha, Most likely not. Theses racks have only been out of single user mode about 24 hours. I thought something simple might be missing. Thanks. Ray On 4/27/2017 5:02 PM, John Hearns via users wrote: Ray, probably a stupid question but do you have the hwloc-devel package installed?

Re: [OMPI users] Basic build trouble on RHEL7

2017-04-27 Thread John Hearns via users
Ray, probably a stupid question but do you have the hwloc-devel package installed? And also the libxml2-devel package? On 27 April 2017 at 21:54, Ray Sheppard wrote: > Hi All, > I have searched the mail archives because I think this issue was > addressed earlier, but I can

[OMPI users] Basic build trouble on RHEL7

2017-04-27 Thread Ray Sheppard
Hi All, I have searched the mail archives because I think this issue was addressed earlier, but I can not find anything useful. We are standing up a few racks of RHEL-7 on Intel to slowly migrate the cluster from RHEL6. I downloaded 2.1.0 to install. All goes well until about "CCLD

Re: [OMPI users] Help

2017-04-27 Thread Gus Correa
On 04/27/2017 06:21 AM, Corina Jeni Tudorache wrote: Hello, I am trying to install Open MPI on Centos and I got stuck. I have installed an GNU compiler and after that I run the command: _yum install openmpi-devel.x86_64. _But when I run command mpi selector –- list I receive this error “mpi:

Re: [OMPI users] Help

2017-04-27 Thread gilles
Or you can replace the mpi-selector thing with module load mpi/openmpi-x86_64 if it does not work, module avail and then module load note this is per session, so you should do that each time you start a new terminal or submit a job Cheers, Gilles - Original Message - When

Re: [OMPI users] Help

2017-04-27 Thread Corina Jeni Tudorache
When I run command rpm --query centos-release, it shows the following: centos-release-7-3.1611.el7.centos.x86_64. So maybe I should install CentOS 5? C. From: users [mailto:users-boun...@lists.open-mpi.org] On Behalf Of gil...@rist.or.jp Sent: Thursday, April 27, 2017 12:36 PM To: Open MPI

Re: [OMPI users] Help

2017-04-27 Thread Corina Jeni Tudorache
It says mpi-selector is not installed. And yes for the mpi-selector command, the error message is command not found. C. From: users [mailto:users-boun...@lists.open-mpi.org] On Behalf Of gil...@rist.or.jp Sent: Thursday, April 27, 2017 12:32 PM To: Open MPI Users

Re: [OMPI users] Help

2017-04-27 Thread gilles
by the way, are you running CentOS 5 ? it seems mpi-selector is no more available from CentOS 6 Cheers, Gilles - Original Message - Yes, I write it wrong the previous e-mail, but actually it does not work. Gives the error message: mpi: command not found Corina

Re: [OMPI users] Help

2017-04-27 Thread gilles
Well, i cannot make sense of this error message. if the command is mpi-selector, the error message could be mpi-selector: command not found but this is not the error message you reported what does rpm -ql mpi-selector reports ? Cheers, Gilles - Original Message - Yes, I

Re: [OMPI users] Help

2017-04-27 Thread Corina Jeni Tudorache
Yes, I write it wrong the previous e-mail, but actually it does not work. Gives the error message: mpi: command not found Corina From: users [mailto:users-boun...@lists.open-mpi.org] On Behalf Of gil...@rist.or.jp Sent: Thursday, April 27, 2017 11:34 AM To: Open MPI Users

Re: [OMPI users] Help

2017-04-27 Thread gilles
Hi, that looks like a typo, the command is mpi-selector --list Cheers, Gilles - Original Message - Hello, I am trying to install Open MPI on Centos and I got stuck. I have installed an GNU compiler and after that I run the command: yum install openmpi-devel.x86_64.

[OMPI users] Help

2017-04-27 Thread Corina Jeni Tudorache
Hello, I am trying to install Open MPI on Centos and I got stuck. I have installed an GNU compiler and after that I run the command: yum install openmpi-devel.x86_64. But when I run command mpi selector -- list I receive this error "mpi: command not found" I am following the instruction from